Commit 205735c2 authored by ssrq's avatar ssrq

Prefix type names with __ssrq

parent e4b6e504
......@@ -48,7 +48,7 @@ in
cat <<-EOF
test -d $(quote "${base_dir}/pki") || {
echo 'Could not find pki directory in ${base_dir}.' >&2
echo 'Please make sure that __easy_rsa_pki${base_dir} is run first.' >&2
echo 'Please make sure that __ssrq_easy_rsa_pki${base_dir} is run first.' >&2
exit 1
}
EOF
......
cdist-type__easy_rsa_ca(7)
==========================
cdist-type__ssrq_easy_rsa_ca(7)
===============================
NAME
----
cdist-type__easy_rsa_ca - Build an Easy-RSA Certificate Authority (CA).
cdist-type__ssrq_easy_rsa_ca - Build an Easy-RSA Certificate Authority (CA).
DESCRIPTION
......@@ -11,11 +11,11 @@ DESCRIPTION
This type sets up an Easy-RSA CA in the directory specified with the ``--dir``
parameter.
As a prerequisite the :strong:`cdist-type__easy_rsa_pki`\ (7) must have
As a prerequisite the :strong:`cdist-type__ssrq_easy_rsa_pki`\ (7) must have
created a PKI structure in said directory beforehand.
To have multiple CAs it is required to create one PKI directory structure (using
:strong:`cdist-type__easy_rsa_pki`\ (7)) for each.
:strong:`cdist-type__ssrq_easy_rsa_pki`\ (7)) for each.
The optional parameters have no effect on an already existing CA.
......@@ -29,7 +29,7 @@ REQUIRED PARAMETERS
-------------------
dir
Full path of the corresponding Easy-RSA PKI structure (as created by
:strong:`cdist-type__easy_rsa_pki`\ (7)).
:strong:`cdist-type__ssrq_easy_rsa_pki`\ (7)).
OPTIONAL PARAMETERS
......@@ -72,18 +72,18 @@ EXAMPLES
.. code-block:: sh
# Set up a CA with common name "Example_CA"
require=__easy_rsa_pki/etc/easy-rsa \
__easy_rsa_ca Example_CA --dir /etc/easy-rsa
require=__ssrq_easy_rsa_pki/etc/easy-rsa \
__ssrq_easy_rsa_ca Example_CA --dir /etc/easy-rsa
# Set up a CY with a space in its common name
require=__easy_rsa_pki/etc/easy-rsa \
__easy_rsa_ca Example_CA --dir /etc/easy-rsa --common-name 'My Example CA'
require=__ssrq_easy_rsa_pki/etc/easy-rsa \
__ssrq_easy_rsa_ca Example_CA --dir /etc/easy-rsa --common-name 'My Example CA'
SEE ALSO
--------
:strong:`cdist-type__easy_rsa_pki`\ (7),
:strong:`cdist-type__easy_rsa_cert`\ (7)
:strong:`cdist-type__ssrq_easy_rsa_pki`\ (7),
:strong:`cdist-type__ssrq_easy_rsa_cert`\ (7)
AUTHORS
......
......@@ -38,7 +38,7 @@ then
cat <<-EOF
test -d $(quote "${base_dir}/pki") || {
echo 'Could not find pki directory in ${base_dir}.' >&2
echo 'Please make sure that __easy_rsa_pki${base_dir} is ran first.' >&2
echo 'Please make sure that __ssrq_easy_rsa_pki${base_dir} is ran first.' >&2
exit 1
}
EOF
......
cdist-type__easy_rsa_cert(7)
============================
cdist-type__ssrq_easy_rsa_cert(7)
=================================
NAME
----
cdist-type__easy_rsa_cert - Manage a server or client key pair.
cdist-type__ssrq_easy_rsa_cert - Manage a server or client key pair.
DESCRIPTION
......@@ -11,8 +11,8 @@ DESCRIPTION
This type manages private keys and certificates using Easy-RSA.
The certificate type (server or client) can be defined using ``--cert-type``.
As a prerequisite the :strong:`cdist-type__easy_rsa_pki`\ (7) and
:strong:`cdist-type__easy_rsa_ca`\ (7) must have created a PKI structure and
As a prerequisite the :strong:`cdist-type__ssrq_easy_rsa_pki`\ (7) and
:strong:`cdist-type__ssrq_easy_rsa_ca`\ (7) must have created a PKI structure and
Certificate Authority (CA) in said directory beforehand.
**NB:** This type will neither update an existing certificate's subject nor
......@@ -26,7 +26,7 @@ cert-type
The type of the certificate, either ``server`` or ``client``.
dir
Full path of the corresponding Easy-RSA PKI structure (as created by
:strong:`cdist-type__easy_rsa_pki`\ (7)).
:strong:`cdist-type__ssrq_easy_rsa_pki`\ (7)).
OPTIONAL PARAMETERS
......@@ -83,20 +83,20 @@ EXAMPLES
.. code-block:: sh
# server certificate
__easy_rsa_cert openvpn-server \
__ssrq_easy_rsa_cert openvpn-server \
--dir /etc/easy-rsa \
--cert-type server
# client certificate
__easy_rsa_cert janedoe \
__ssrq_easy_rsa_cert janedoe \
--dir /etc/easy-rsa \
--cert-type client
SEE ALSO
--------
:strong:`cdist-type__easy_rsa_pki`\ (7),
:strong:`cdist-type__easy_rsa_ca`\ (7)
:strong:`cdist-type__ssrq_easy_rsa_pki`\ (7),
:strong:`cdist-type__ssrq_easy_rsa_ca`\ (7)
AUTHORS
......
cdist-type__easy_rsa_pki(7)
===========================
cdist-type__ssrq_easy_rsa_pki(7)
================================
NAME
----
cdist-type__easy_rsa_pki - Install an easy-rsa PKI
cdist-type__ssrq_easy_rsa_pki - Install an easy-rsa PKI
DESCRIPTION
......@@ -17,10 +17,10 @@ The ``EASYRSA_PKI`` will be located at ``${__object_id}/pki``.
The optional parameters will have an effect on the ``vars`` file.
This cdist type does not build an Easy-RSA CA (for this,
see :strong:`cdist-type__easy_rsa_ca`\ (7)).
see :strong:`cdist-type__ssrq_easy_rsa_ca`\ (7)).
One Easy-RSA PKI can hold at most one CA, so it is necessary to
use this type once for each usage of ``__easy_rsa_ca``.
use this type once for each usage of ``__ssrq_easy_rsa_ca``.
REQUIRED PARAMETERS
-------------------
......@@ -109,10 +109,10 @@ EXAMPLES
.. code-block:: sh
# Ensure existence of an Easy-RSA PKI structure in directory /etc/easy-rsa
__easy_rsa_pki /etc/easy-rsa
__ssrq_easy_rsa_pki /etc/easy-rsa
# Ensure existence of a PKI in directory /etc/easy-rsa with defaults
__easy_rsa_pki /etc/easy-rsa \
__ssrq_easy_rsa_pki /etc/easy-rsa \
--use-algo rsa \
--default-keysize 4096 \
--dn-mode org \
......@@ -127,8 +127,8 @@ EXAMPLES
SEE ALSO
--------
:strong:`cdist-type__easy_rsa_ca`\ (7),
:strong:`cdist-type__easy_rsa_cert`\ (7)
:strong:`cdist-type__ssrq_easy_rsa_ca`\ (7),
:strong:`cdist-type__ssrq_easy_rsa_cert`\ (7)
AUTHORS
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment